Results 1 to 5 of 5

Thread: Was Metasploit DB support removed for ARM?

  1. #1
    Join Date
    2013-Dec
    Posts
    6

    Was Metasploit DB support removed for ARM?

    After I open msfconsole and try to connect I get these errors.

    db_connect UN:PASSWD@localhost/DBNAME
    [-] No database driver installed. Try 'gem install pg'

    msf > db_status
    [-] No database driver installed. Try 'gem install pg'


    Then I try an instal the gem...

    root@kali:~# gem install pg
    Building native extensions. This could take a while...
    ERROR: Error installing pg:
    ERROR: Failed to build gem native extension.

    /usr/bin/ruby1.9.1 extconf.rb
    /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require': cannot load such file -- mkmf (LoadError)
    from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    from extconf.rb:2:in `<main>'


    Gem files will remain installed in /var/lib/gems/1.9.1/gems/pg-0.17.0 for inspection.
    Results logged to /var/lib/gems/1.9.1/gems/pg-0.17.0/ext/gem_make.out
    root@kali:~#[-] No database driver installed. Try 'gem install pg'

    root@kali:~# cat /proc/version
    Linux version 3.6.11+ (root@kali) (gcc version 4.6.2 20111004 (prerelease) (Linaro GCC 4.6-2011.10) ) #7 PREEMPT Mon Mar 11 16:46:44 EDT 2013

    root@kali:~# cat /proc/cpuinfo
    Processor : ARMv6-compatible processor rev 7 (v6l)
    BogoMIPS : 697.95
    Features : swp half thumb fastmult vfp edsp java tls
    CPU implementer : 0x41
    CPU architecture: 7
    CPU variant : 0x0
    CPU part : 0xb76
    CPU revision : 7

    Hardware : BCM2708
    Revision : 000e
    Serial : 0000000017c95df0

    Thanks for the great OS!!!

  2. #2
    Join Date
    2013-Apr
    Posts
    14
    Did you install metasploit using apt-get? I don't recall having to manually install my gems when using apt. I did however have to comment out postgresql on the blacklist and add it to the whitelist, set the permissions for the postgres user, and manually create my postgtesql user and database. Its all working over here though.

  3. #3
    Join Date
    2013-Dec
    Posts
    6
    Just normal Kali Linux install with Metasploit. I will look at the other suggestions.

    Thanks!

  4. #4
    Join Date
    2013-Apr
    Posts
    14
    I should also add the kernel of your device needs sysvipc to be enabled

  5. #5
    Join Date
    2013-Aug
    Posts
    7
    see http://rmccurdy.com/scripts/ Linux_Deploy_Kali_Metasploit_Autopwn_ArmHF.txt and db_autopwn.rb may help

Similar Threads

  1. removed networkmanager
    By comy in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2017-04-22, 02:03
  2. Vega Removed?
    By Help in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-07-02, 03:16
  3. removed network manager
    By korn16ftl3 in forum General Archive
    Replies: 2
    Last Post: 2014-10-25, 23:15

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •